PennMUSH Community

Changeset 857

Show
Ignore:
Timestamp:
05/16/07 23:30:53 (2 years ago)
Author:
shawnw
Message:

expr: sync with devel

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • 1.8.3/branches/experimental/CHANGES.182

    r817 r857  
    1414 
    1515========================================================================== 
     16 
     17Version 1.8.2 patchlevel 5                      ??? ??, 2007 
     18 
     19Minor changes: 
     20  * Removed the gmalloc malloc option. [SW] 
     21  * Assorted gcc warning fixes. [SW] 
    1622 
    1723Version 1.8.2 patchlevel 4                      May ??, 2007 
  • 1.8.3/branches/experimental/CHANGES.183

    r817 r857  
    1515========================================================================== 
    1616 
    17 Version 1.8.3 patchlevel 2                      May ??, 2007 
     17Version 1.8.3 patchlevel 3                      ??? ??, 2007 
     18 
     19Minor changes: 
     20  * The sockets used to talk to info_slave changed from streams 
     21    to datagrams, simplying code. [SW] 
     22  * info_slave deals better with simultaneous connections. [SW] 
     23  * info_slave temporarily requires the presence of the socketpair(2) 
     24    function. [SW] 
     25  * Use of waitpid(2)/wait3(2) is encapsulated in mush_wait(). [SW] 
     26 
     27Version 1.8.3 patchlevel 2                      May 16, 2007 
    1828 
    1929Major changes: 
     
    2636Minor changes: 
    2737  * You can no longer run a mush as root. [SW] 
    28   * @cemit/noisy. Suggested by Kimiko. [SW] 
     38  * cemit_noisy config option. Suggested by Kimiko. [SW] 
    2939  * @function sorts the list of user-defined functions 
    3040    by object and then name. Suggested by Trinsec. [SW] 
  • 1.8.3/branches/experimental/MANIFEST

    r805 r857  
    102102hdrs/lock.h 
    103103hdrs/log.h 
     104hdrs/lookup.h 
    104105hdrs/malias.h 
    105106hdrs/match.h 
     
    181182src/htab.c 
    182183src/ident.c 
     184src/info_master.c 
    183185src/info_slave.c 
    184186src/local.dst 
     
    222224src/utils.c 
    223225src/version.c 
     226src/wait.c 
    224227src/warnings.c 
    225228src/wild.c 
  • 1.8.3/branches/experimental/config.h.in

    r822 r857  
    5656#undef HAVE_SYS_WAIT_H 
    5757 
    58 #ifdef HAVE_SYS_WAIT_H 
    59 #define I_SYS_WAIT 
    60 #endif 
    61  
    6258#undef HAVE_IEEEFP_H 
     59 
     60#undef HAVE_SYS_UN_H 
    6361 
    6462/* Libraries */ 
     
    8280/* Types */ 
    8381 
     82#undef ssize_t 
     83 
    8484#undef socklen_t 
    8585 
     
    150150#undef HAS_SNPRINTF 
    151151 
    152 #undef HAS_SOCKETPAIR 
     152#undef HAVE_SOCKETPAIR 
    153153 
    154154#undef HAVE_STRCASECMP 
     
    168168#undef HAS_VSNPRINTF 
    169169 
    170 #undef HAS_WAITPID 
     170#undef HAVE_WAITPID 
     171 
     172#undef HAVE_WAIT3 
     173 
     174#undef HAVE_WAIT 
    171175 
    172176#undef UNION_WAIT 
     
    185189 
    186190/* Misc. */ 
     191 
     192#undef HAVE_SOCKADDR_IN6 
    187193 
    188194#undef FORCE_IPV4 
  • 1.8.3/branches/experimental/configure

    r820 r857  
    73307330 
    73317331 
    7332 for ac_header in ieeefp.h 
     7332 
     7333for ac_header in sys/un.h ieeefp.h 
    73337334do 
    73347335as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    78397840### Types 
    78407841# Again, no need to check for standard C89 types. 
     7842 
     7843{ echo "$as_me:$LINENO: checking for ssize_t" >&5 
     7844echo $ECHO_N "checking for ssize_t... $ECHO_C" >&6; } 
     7845if test "${ac_cv_type_ssize_t+set}" = set; then 
     7846  echo $ECHO_N "(cached) $ECHO_C" >&6 
     7847else 
     7848  cat >conftest.$ac_ext <<_ACEOF 
     7849/* confdefs.h.  */ 
     7850_ACEOF 
     7851cat confdefs.h >>conftest.$ac_ext 
     7852cat >>conftest.$ac_ext <<_ACEOF 
     7853/* end confdefs.h.  */ 
     7854$ac_includes_default 
     7855typedef ssize_t ac__type_new_; 
     7856int 
     7857main () 
     7858{ 
     7859if ((ac__type_new_ *) 0) 
     7860  return 0; 
     7861if (sizeof (ac__type_new_)) 
     7862  return 0; 
     7863  ; 
     7864  return 0; 
     7865} 
     7866_ACEOF 
     7867rm -f conftest.$ac_objext 
     7868if { (ac_try="$ac_compile" 
     7869case "(($ac_try" in 
     7870  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     7871  *) ac_try_echo=$ac_try;; 
     7872esac 
     7873eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     7874  (eval "$ac_compile") 2>conftest.er1 
     7875  ac_status=$? 
     7876  grep -v '^ *+' conftest.er1 >conftest.err 
     7877  rm -f conftest.er1 
     7878  cat conftest.err >&5 
     7879  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     7880  (exit $ac_status); } && 
     7881     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     7882  { (case "(($ac_try" in 
     7883  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     7884  *) ac_try_echo=$ac_try;; 
     7885esac 
     7886eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     7887  (eval "$ac_try") 2>&5 
     7888  ac_status=$? 
     7889  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     7890  (exit $ac_status); }; } && 
     7891     { ac_try='test -s conftest.$ac_objext' 
     7892  { (case "(($ac_try" in 
     7893  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     7894  *) ac_try_echo=$ac_try;; 
     7895esac 
     7896eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     7897  (eval "$ac_try") 2>&5 
     7898  ac_status=$? 
     7899  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     7900  (exit $ac_status); }; }; then 
     7901  ac_cv_type_ssize_t=yes 
     7902else 
     7903  echo "$as_me: failed program was:" >&5 
     7904sed 's/^/| /' conftest.$ac_ext >&5 
     7905 
     7906    ac_cv_type_ssize_t=no 
     7907fi 
     7908 
     7909rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     7910fi 
     7911{ echo "$as_me:$LINENO: result: $ac_cv_type_ssize_t" >&5 
     7912echo "${ECHO_T}$ac_cv_type_ssize_t" >&6; } 
     7913if test $ac_cv_type_ssize_t = yes; then 
     7914  : 
     7915else 
     7916 
     7917cat >>confdefs.h <<_ACEOF 
     7918#define ssize_t int 
     7919_ACEOF 
     7920 
     7921fi 
    78417922 
    78427923{ echo "$as_me:$LINENO: checking for pid_t" >&5 
     
    98799960fi 
    98809961 
    9881  
    9882 for ac_func in cbrt 
    9883 do 
    9884 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 
    9885 { echo "$as_me:$LINENO: checking for $ac_func" >&5 
    9886 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 
    9887 if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then 
    9888   echo $ECHO_N "(cached) $ECHO_C" >&6 
    9889 else 
    9890   cat >conftest.$ac_ext <<_ACEOF 
    9891 /* confdefs.h.  */ 
    9892 _ACEOF 
    9893 cat confdefs.h >>conftest.$ac_ext 
    9894 cat >>conftest.$ac_ext <<_ACEOF 
    9895 /* end confdefs.h.  */ 
    9896 /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func. 
    9897    For example, HP-UX 11i <limits.h> declares gettimeofday.  */ 
    9898 #define $ac_func innocuous_$ac_func 
    9899  
    9900 /* System header to define __stub macros and hopefully few prototypes, 
    9901     which can conflict with char $ac_func (); below. 
    9902     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    9903     <limits.h> exists even on freestanding compilers.  */ 
    9904  
    9905 #ifdef __STDC__ 
    9906 # include <limits.h> 
    9907 #else 
    9908 # include <assert.h> 
    9909 #endif 
    9910  
    9911 #undef $ac_func 
    9912  
    9913 /* Override any GCC internal prototype to avoid an error. 
    9914    Use char because int might match the return type of a GCC 
    9915    builtin and then its argument prototype would still apply.  */ 
    9916 #ifdef __cplusplus 
    9917 extern "C" 
    9918 #endif 
    9919 char $ac_func (); 
    9920 /* The GNU C library defines this for functions which it implements 
    9921     to always fail with ENOSYS.  Some functions are actually named 
    9922     something starting with __ and the normal name is an alias.  */ 
    9923 #if defined __stub_$ac_func || defined __stub___$ac_func 
    9924 choke me 
    9925 #endif 
    9926  
    9927 int 
    9928 main () 
    9929 { 
    9930 return $ac_func (); 
    9931   ; 
    9932   return 0; 
    9933 } 
    9934 _ACEOF 
    9935 rm -f conftest.$ac_objext conftest$ac_exeext 
    9936 if { (ac_try="$ac_link" 
    9937 case "(($ac_try" in 
    9938   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    9939   *) ac_try_echo=$ac_try;; 
    9940 esac 
    9941 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    9942   (eval "$ac_link") 2>conftest.er1 
    9943   ac_status=$? 
    9944   grep -v '^ *+' conftest.er1 >conftest.err 
    9945   rm -f conftest.er1 
    9946   cat conftest.err >&5 
    9947   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    9948   (exit $ac_status); } && 
    9949      { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
    9950   { (case "(($ac_try" in 
    9951   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    9952   *) ac_try_echo=$ac_try;; 
    9953 esac 
    9954 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    9955   (eval "$ac_try") 2>&5 
    9956   ac_status=$? 
    9957   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    9958   (exit $ac_status); }; } && 
    9959      { ac_try='test -s conftest$ac_exeext' 
    9960   { (case "(($ac_try" in 
    9961   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    9962   *) ac_try_echo=$ac_try;; 
    9963 esac 
    9964 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    9965   (eval "$ac_try") 2>&5 
    9966   ac_status=$? 
    9967   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    9968   (exit $ac_status); }; }; then 
    9969   eval "$as_ac_var=yes" 
    9970 else 
    9971   echo "$as_me: failed program was:" >&5 
    9972 sed 's/^/| /' conftest.$ac_ext >&5 
    9973  
    9974     eval "$as_ac_var=no" 
    9975 fi 
    9976  
    9977 rm -f core conftest.err conftest.$ac_objext \ 
    9978       conftest$ac_exeext conftest.$ac_ext 
    9979 fi 
    9980 ac_res=`eval echo '${'$as_ac_var'}'` 
    9981            { echo "$as_me:$LINENO: result: $ac_res" >&5 
    9982 echo "${ECHO_T}$ac_res" >&6; } 
    9983 if test `eval echo '${'$as_ac_var'}'` = yes; then 
    9984   cat >>confdefs.h <<_ACEOF 
    9985 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1 
    9986 _ACEOF 
    9987  
    9988 fi 
    9989 done 
    9990  
    99919962{ echo "$as_me:$LINENO: checking for crypt" >&5 
    99929963echo $ECHO_N "checking for crypt... $ECHO_C" >&6; } 
     
    1172811699 
    1172911700 
    11730 for ac_func in getuid geteuid seteuid 
     11701 
     11702 
     11703 
     11704 
     11705for ac_func in cbrt getuid geteuid seteuid getpriority setpriority socketpair 
    1173111706do 
    1173211707as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 
     
    1183711812done 
    1183811813 
    11839  
    11840  
    11841 for ac_func in getpriority setpriority 
     11814{ echo "$as_me:$LINENO: checking for sigaction" >&5 
     11815echo $ECHO_N "checking for sigaction... $ECHO_C" >&6; } 
     11816if test "${ac_cv_func_sigaction+set}" = set; then 
     11817  echo $ECHO_N "(cached) $ECHO_C" >&6 
     11818else 
     11819  cat >conftest.$ac_ext <<_ACEOF 
     11820/* confdefs.h.  */ 
     11821_ACEOF 
     11822cat confdefs.h >>conftest.$ac_ext 
     11823cat >>conftest.$ac_ext <<_ACEOF 
     11824/* end confdefs.h.  */ 
     11825/* Define sigaction to an innocuous variant, in case <limits.h> declares sigaction. 
     11826   For example, HP-UX 11i <limits.h> declares gettimeofday.  */ 
     11827#define sigaction innocuous_sigaction 
     11828 
     11829/* System header to define __stub macros and hopefully few prototypes, 
     11830    which can conflict with char sigaction (); below. 
     11831    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
     11832    <limits.h> exists even on freestanding compilers.  */ 
     11833 
     11834#ifdef __STDC__ 
     11835# include <limits.h> 
     11836#else 
     11837# include <assert.h> 
     11838#endif 
     11839 
     11840#undef sigaction 
     11841 
     11842/* Override any GCC internal prototype to avoid an error. 
     11843   Use char because int might match the return type of a GCC 
     11844   builtin and then its argument prototype would still apply.  */ 
     11845#ifdef __cplusplus 
     11846extern "C" 
     11847#endif 
     11848char sigaction (); 
     11849/* The GNU C library defines this for functions which it implements 
     11850    to always fail with ENOSYS.  Some functions are actually named 
     11851    something starting with __ and the normal name is an alias.  */ 
     11852#if defined __stub_sigaction || defined __stub___sigaction 
     11853choke me 
     11854#endif 
     11855 
     11856int 
     11857main () 
     11858
     11859return sigaction (); 
     11860  ; 
     11861  return 0; 
     11862
     11863_ACEOF 
     11864rm -f conftest.$ac_objext conftest$ac_exeext 
     11865if { (ac_try="$ac_link" 
     11866case "(($ac_try" in 
     11867  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     11868  *) ac_try_echo=$ac_try;; 
     11869esac 
     11870eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     11871  (eval "$ac_link") 2>conftest.er1 
     11872  ac_status=$? 
     11873  grep -v '^ *+' conftest.er1 >conftest.err 
     11874  rm -f conftest.er1 
     11875  cat conftest.err >&5 
     11876  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     11877  (exit $ac_status); } && 
     11878     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     11879  { (case "(($ac_try" in 
     11880  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     11881  *) ac_try_echo=$ac_try;; 
     11882esac 
     11883eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     11884  (eval "$ac_try") 2>&5 
     11885  ac_status=$? 
     11886  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     11887  (exit $ac_status); }; } && 
     11888     { ac_try='test -s conftest$ac_exeext' 
     11889  { (case "(($ac_try" in 
     11890  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     11891  *) ac_try_echo=$ac_try;; 
     11892esac 
     11893eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     11894  (eval "$ac_try") 2>&5 
     11895  ac_status=$? 
     11896  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     11897  (exit $ac_status); }; }; then 
     11898  ac_cv_func_sigaction=yes 
     11899else 
     11900  echo "$as_me: failed program was:" >&5 
     11901sed 's/^/| /' conftest.$ac_ext >&5 
     11902 
     11903    ac_cv_func_sigaction=no 
     11904fi 
     11905 
     11906rm -f core conftest.err conftest.$ac_objext \ 
     11907      conftest$ac_exeext conftest.$ac_ext 
     11908fi 
     11909{ echo "$as_me:$LINENO: result: $ac_cv_func_sigaction" >&5 
     11910echo "${ECHO_T}$ac_cv_func_sigaction" >&6; } 
     11911if test $ac_cv_func_sigaction = yes; then 
     11912  cat >>confdefs.h <<\_ACEOF 
     11913#define HAS_SIGACTION 1 
     11914_ACEOF 
     11915 
     11916fi 
     11917 
     11918{ echo "$as_me:$LINENO: checking for sigprocmask" >&5 
     11919echo $ECHO_N "checking for sigprocmask... $ECHO_C" >&6; } 
     11920if test "${ac_cv_func_sigprocmask+set}" = set; then 
     11921  echo $ECHO_N "(cached) $ECHO_C" >&6 
     11922else 
     11923  cat >conftest.$ac_ext <<_ACEOF 
     11924/* confdefs.h.  */ 
     11925_ACEOF 
     11926cat confdefs.h >>conftest.$ac_ext 
     11927cat >>conftest.$ac_ext <<_ACEOF 
     11928/* end confdefs.h.  */ 
     11929/* Define sigprocmask to an innocuous variant, in case <limits.h> declares sigprocmask. 
     11930   For example, HP-UX 11i <limits.h> declares gettimeofday.  */ 
     11931#define sigprocmask innocuous_sigprocmask 
     11932 
     11933/* System header to define __stub macros and hopefully few prototypes, 
     11934    which can conflict with char sigprocmask (); below. 
     11935    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
     11936    <limits.h> exists even on freestanding compilers.  */ 
     11937 
     11938#ifdef __STDC__ 
     11939# include <limits.h> 
     11940#else 
     11941# include <assert.h> 
     11942#endif 
     11943 
     11944#undef sigprocmask 
     11945 
     11946/* Override any GCC internal prototype to avoid an error. 
     11947   Use char because int might match the return type of a GCC 
     11948   builtin and then its argument prototype would still apply.  */ 
     11949#ifdef __cplusplus 
     11950extern "C" 
     11951#endif 
     11952char sigprocmask (); 
     11953/* The GNU C library defines this for functions which it implements 
     11954    to always fail with ENOSYS.  Some functions are actually named 
     11955    something starting with __ and the normal name is an alias.  */ 
     11956#if defined __stub_sigprocmask || defined __stub___sigprocmask 
     11957choke me 
     11958#endif 
     11959 
     11960int 
     11961main () 
     11962
     11963return sigprocmask (); 
     11964  ; 
     11965  return 0; 
     11966
     11967_ACEOF 
     11968rm -f conftest.$ac_objext conftest$ac_exeext 
     11969if { (ac_try="$ac_link" 
     11970case "(($ac_try" in 
     11971  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     11972  *) ac_try_echo=$ac_try;; 
     11973esac 
     11974eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     11975  (eval "$ac_link") 2>conftest.er1 
     11976  ac_status=$? 
     11977  grep -v '^ *+' conftest.er1 >conftest.err 
     11978  rm -f conftest.er1 
     11979  cat conftest.err >&5 
     11980  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     11981  (exit $ac_status); } && 
     11982     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     11983  { (case "(($ac_try" in 
     11984  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     11985  *) ac_try_echo=$ac_try;; 
     11986esac 
     11987eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     11988  (eval "$ac_try") 2>&5 
     11989  ac_status=$? 
     11990  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     11991  (exit $ac_status); }; } && 
     11992     { ac_try='test -s conftest$ac_exeext' 
     11993  { (case "(($ac_try" in 
     11994  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     11995  *) ac_try_echo=$ac_try;; 
     11996esac 
     11997eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     11998  (eval "$ac_try") 2>&5 
     11999  ac_status=$? 
     12000  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     12001  (exit $ac_status); }; }; then 
     12002  ac_cv_func_sigprocmask=yes 
     12003else 
     12004  echo "$as_me: failed program was:" >&5 
     12005sed 's/^/| /' conftest.$ac_ext >&5 
     12006 
     12007    ac_cv_func_sigprocmask=no 
     12008fi 
     12009 
     12010rm -f core conftest.err conftest.$ac_objext \ 
     12011      conftest$ac_exeext conftest.$ac_ext 
     12012fi 
     12013{ echo "$as_me:$LINENO: result: $ac_cv_func_sigprocmask" >&5 
     12014echo "${ECHO_T}$ac_cv_func_sigprocmask" >&6; } 
     12015if test $ac_cv_func_sigprocmask = yes; then 
     12016  cat >>confdefs.h <<\_ACEOF 
     12017#define HAS_SIGPROCMASK 1 
     12018_ACEOF 
     12019 
     12020fi 
     12021 
     12022 
     12023 
     12024 
     12025for ac_func in snprintf vsnprintf 
    1184212026do 
    1184312027as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 
     
    1194812132done 
    1194912133 
    11950 { echo "$as_me:$LINENO: checking for sigaction" >&5 
    11951 echo $ECHO_N "checking for sigaction... $ECHO_C" >&6; } 
    11952 if test "${ac_cv_func_sigaction+set}" = set; then 
     12134{ echo "$as_me:$LINENO: checking for working snprintf" >&5 
     12135echo $ECHO_N "checking for working snprintf... $ECHO_C" >&6; } 
     12136if test "${ac_cv_have_working_snprintf+set}" = set; then 
    1195312137  echo $ECHO_N "(cached) $ECHO_C" >&6 
     12138else 
     12139  if test "$cross_compiling" = yes; then 
     12140  ac_cv_have_working_snprintf=cross 
    1195412141else 
    1195512142  cat >conftest.$ac_ext <<_ACEOF 
     
    1195912146cat >>conftest.$ac_ext <<_ACEOF 
    1196012147/* end confdefs.h.  */ 
    11961 /* Define sigaction to an innocuous variant, in case <limits.h> declares sigaction. 
    11962    For example, HP-UX 11i <limits.h> declares gettimeofday.  */ 
    11963 #define sigaction innocuous_sigaction 
    11964  
    11965 /* System header to define __stub macros and hopefully few prototypes, 
    11966     which can conflict with char sigaction (); below. 
    11967     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    11968     <limits.h> exists even on freestanding compilers.  */ 
    11969  
    11970 #ifdef __STDC__ 
    11971 # include <limits.h> 
    11972 #else 
    11973 # include <assert.h> 
    11974 #endif 
    11975  
    11976 #undef sigaction 
    11977  
    11978 /* Override any GCC internal prototype to avoid an error. 
    11979    Use char because int might match the return type of a GCC 
    11980    builtin and then its argument prototype would still apply.  */ 
    11981 #ifdef __cplusplus 
    11982 extern "C" 
    11983 #endif 
    11984 char sigaction (); 
    11985 /* The GNU C library defines this for functions which it implements 
    11986     to always fail with ENOSYS.  Some functions are actually named 
    11987     something starting with __ and the normal name is an alias.  */ 
    11988 #if defined __stub_sigaction || defined __stub___sigaction 
    11989 choke me 
    11990 #endif 
    11991  
    11992 int 
    11993 main () 
     12148#include <stdio.h> 
     12149 
     12150int main(void) 
    1199412151{ 
    11995 return sigaction (); 
    11996   ; 
    11997   return 0; 
     12152    char bufs[5] = { 'x', 'x', 'x', '\0', '\0' }; 
     12153    char bufd[5] = { 'x', 'x', 'x', '\0', '\0' }; 
     12154    int i; 
     12155    i = snprintf (bufs, 2, "%s", "111"); 
     12156    if (strcmp (bufs, "1")) exit (1); 
     12157    if (i != 3) exit (1); 
     12158    i = snprintf (bufd, 2, "%d", 111); 
     12159    if (strcmp (bufd, "1")) exit (1); 
     12160    if (i != 3) exit (1); 
     12161    exit(0); 
    1199812162} 
    1199912163_ACEOF 
    12000 rm -f conftest.$ac_objext conftest$ac_exeext 
     12164rm -f conftest$ac_exeext 
    1200112165if { (ac_try="$ac_link" 
    1200212166case "(($ac_try" in 
     
    1200512169esac 
    1200612170eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    12007   (eval "$ac_link") 2>conftest.er1 
    12008   ac_status=$? 
    12009   grep -v '^ *+' conftest.er1 >conftest.err 
    12010   rm -f conftest.er1 
    12011   cat conftest.err >&5 
    12012   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    12013   (exit $ac_status); } && 
    12014      { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
    12015   { (case "(($ac_try" in 
    12016   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    12017   *) ac_try_echo=$ac_try;; 
    12018 esac 
    12019 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    12020   (eval "$ac_try") 2>&5 
    12021   ac_status=$? 
    12022   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    12023   (exit $ac_status); }; } && 
    12024      { ac_try='test -s conftest$ac_exeext' 
     12171  (eval "$ac_link") 2>&5 
     12172  ac_status=$? 
     12173  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     12174  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    1202512175  { (case "(($ac_try" in 
    1202612176  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     
    1203212182  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    1203312183  (exit $ac_status); }; }; then 
    12034   ac_cv_func_sigaction=yes 
    12035 else 
    12036   echo "$as_me: failed program was:" >&5 
     12184  ac_cv_have_working_snprintf=yes 
     12185else 
     12186  echo "$as_me: program exited with status $ac_status" >&5 
     12187echo "$as_me: failed program was:" >&5 
    1203712188sed 's/^/| /' conftest.$ac_ext >&5 
    1203812189 
    12039     ac_cv_func_sigaction=no 
    12040 fi 
    12041  
    12042 rm -f core conftest.err conftest.$ac_objext \ 
    12043       conftest$ac_exeext conftest.$ac_ext 
    12044 fi 
    12045 { echo "$as_me:$LINENO: result: $ac_cv_func_sigaction" >&5 
    12046 echo "${ECHO_T}$ac_cv_func_sigaction" >&6; } 
    12047 if test $ac_cv_func_sigaction = yes; then 
    12048   cat >>confdefs.h <<\_ACEOF 
    12049 #define HAS_SIGACTION 1 
    12050 _ACEOF 
    12051  
    12052 fi 
    12053  
    12054 { echo "$as_me:$LINENO: checking for sigprocmask" >&5 
    12055 echo $ECHO_N "checking for sigprocmask... $ECHO_C" >&6; } 
    12056 if test "${ac_cv_func_sigprocmask+set}" = set; then 
     12190( exit $ac_status ) 
     12191ac_cv_have_working_snprintf=no 
     12192fi 
     12193rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     12194fi 
     12195 
     12196 
     12197fi 
     12198 
     12199{ echo "$as_me:$LINENO: result: $ac_cv_have_working_snprintf" >&5 
     12200echo "${ECHO_T}$ac_cv_have_working_snprintf" >&6; } 
     12201{ echo "$as_me:$LINENO: checking for working vsnprintf" >&5 
     12202echo $ECHO_N "checking for working vsnprintf... $ECHO_C" >&6; } 
     12203if test "${ac_cv_have_working_vsnprintf+set}" = set; then 
    1205712204  echo $ECHO_N "(cached) $ECHO_C" >&6 
     12205else 
     12206  if test "$cross_compiling" = yes; then 
     12207  ac_cv_have_working_vsnprintf=cross 
    1205812208else 
    1205912209  cat >conftest.$ac_ext <<_ACEOF 
     
    1206312213cat >>conftest.$ac_ext <<_ACEOF 
    1206412214/* end confdefs.h.  */ 
    12065 /* Define sigprocmask to an innocuous variant, in case <limits.h> declares sigprocmask. 
    12066    For example, HP-UX 11i <limits.h> declares gettimeofday.  */ 
    12067 #define sigprocmask innocuous_sigprocmask 
    12068  
    12069 /* System header to define __stub macros and hopefully few prototypes, 
    12070     which can conflict with char sigprocmask (); below. 
    12071     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    12072     <limits.h> exists even on freestanding compilers.  */ 
    12073  
    12074 #ifdef __STDC__ 
    12075 # include <limits.h> 
    12076 #else 
    12077 # include <assert.h> 
    12078 #endif 
    12079  
    12080 #undef sigprocmask 
    12081  
    12082 /* Override any GCC internal prototype to avoid an error. 
    12083    Use char because int might match the return type of a GCC 
    12084    builtin and then its argument prototype would still apply.  */ 
    12085 #ifdef __cplusplus 
    12086 extern "C" 
    12087 #endif 
    12088 char sigprocmask (); 
    12089 /* The GNU C library defines this for functions which it implements 
    12090     to always fail with ENOSYS.  Some functions are actually named 
    12091     something starting with __ and the normal name is an alias.  */ 
    12092 #if defined __stub_sigprocmask || defined __stub___sigprocmask 
    12093 choke me 
    12094 #endif 
    12095  
    12096 int 
    12097 main () 
     12215#include <stdio.h> 
     12216#include <stdarg.h> 
     12217 
     12218int my_vsnprintf (char *buf, const char *tmpl, ...) 
    1209812219{ 
    12099 return sigprocmask (); 
    12100   ; 
    12101   return 0; 
     12220    int i; 
     12221    va_list args; 
     12222    va_start (args, tmpl); 
     12223    i = vsnprintf (buf, 2, tmpl, args); 
     12224    va_end (args); 
     12225    return i; 
    1210212226} 
    12103 _ACEOF 
    12104 rm -f conftest.$ac_objext conftest$ac_exeext 
     12227 
     12228int main(void) 
     12229
     12230    char bufs[5] = { 'x', 'x', 'x', '\0', '\0' }; 
     12231    char bufd[5] = { 'x', 'x', 'x', '\0', '\0' }; 
     12232    int i; 
     12233    i = my_vsnprintf (bufs, "%s", "111"); 
     12234    if (strcmp (bufs, "1")) exit (1); 
     12235    if (i != 3) exit (1); 
     12236    i = my_vsnprintf (bufd, "%d", 111); 
     12237    if (strcmp (bufd, "1")) exit (1); 
     12238    if (i != 3) exit (1); 
     12239    exit(0); 
     12240
     12241_ACEOF 
     12242rm -f conftest$ac_exeext 
    1210512243if { (ac_try="$ac_link" 
    1210612244case "(($ac_try" in 
     
    1210912247esac 
    1211012248eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    12111   (eval "$ac_link") 2>conftest.er1 
    12112   ac_status=$? 
    12113   grep -v '^ *+' conftest.er1 >conftest.err 
    12114   rm -f conftest.er1 
    12115   cat conftest.err >&5 
    12116   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    12117   (exit $ac_status); } && 
    12118      { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
    12119   { (case "(($ac_try" in 
    12120   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    12121   *) ac_try_echo=$ac_try;; 
    12122 esac 
    12123 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    12124   (eval "$ac_try") 2>&5 
    12125   ac_status=$? 
    12126   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    12127   (exit $ac_status); }; } && 
    12128      { ac_try='test -s conftest$ac_exeext' 
     12249  (eval "$ac_link") 2>&5 
     12250  ac_status=$? 
     12251  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     12252  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    1212912253  { (case "(($ac_try" in 
    1213012254  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     
    1213612260  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    1213712261  (exit $ac_status); }; }; then 
    12138   ac_cv_func_sigprocmask=yes 
    12139 else 
    12140   echo "$as_me: failed program was:" >&5 
     12262  ac_cv_have_working_vsnprintf=yes 
     12263else 
     12264  echo "$as_me: program exited with status $ac_status" >&5 
     12265echo "$as_me: failed program was:" >&5 
    1214112266sed 's/^/| /' conftest.$ac_ext >&5 
    1214212267 
    12143     ac_cv_func_sigprocmask=no 
    12144 fi 
    12145  
    12146 rm -f core conftest.err conftest.$ac_objext \ 
    12147       conftest$ac_exeext conftest.$ac_ext 
    12148 fi 
    12149 { echo "$as_me:$LINENO: result: $ac_cv_func_sigprocmask" >&5 
    12150 echo "${ECHO_T}$ac_cv_func_sigprocmask" >&6; } 
    12151 if test $ac_cv_func_sigprocmask = yes; then 
    12152   cat >>confdefs.h <<\_ACEOF 
    12153 #define HAS_SIGPROCMASK 1 
    12154 _ACEOF 
    12155  
    12156 fi 
    12157  
    12158  
    12159  
    12160  
    12161 for ac_func in snprintf vsnprintf 
     12268( exit $ac_status ) 
     12269ac_cv_have_working_vsnprintf=no 
     12270fi 
     12271rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     12272fi 
     12273 
     12274 
     12275fi 
     12276 
     12277{ echo "$as_me:$LINENO: result: $ac_cv_have_working_vsnprintf" >&5 
     12278echo "${ECHO_T}$ac_cv_have_working_vsnprintf" >&6; } 
     12279if test x$ac_cv_have_working_snprintf$ac_cv_have_working_vsnprintf != "xyesyes"; then 
     12280  case " $LIBOBJS " in 
     12281  *" snprintf.$ac_objext "* ) ;; 
     12282  *) LIBOBJS="$LIBOBJS snprintf.$ac_objext" 
     12283 ;; 
     12284esac 
     12285 
     12286  { echo "$as_me:$LINENO: WARNING: Replacing missing/broken (v)snprintf() with version from http://www.ijs.si/software/snprintf/." >&5 
     12287echo "$as_me: WARNING: Replacing missing/broken (v)snprintf() with version from http://www.ijs.si/software/snprintf/." >&2;} 
     12288 
     12289cat >>confdefs.h <<\_ACEOF 
     12290#define PREFER_PORTABLE_SNPRINTF 1 
     12291_ACEOF 
     12292 
     12293fi 
     12294if test "x$ac_cv_have_working_snprintf" = xyes; then 
     12295cat >>confdefs.h <<\_ACEOF 
     12296#define HAS_SNPRINTF 1 
     12297_ACEOF 
     12298 
     12299fi 
     12300if test "x$ac_cv_have_working_vsnprintf" = xyes; then 
     12301cat >>confdefs.h <<\_ACEOF 
     12302#define HAS_VSNPRINTF 1 
     12303_ACEOF 
     12304 
     12305fi 
     12306 
     12307# Assume that the strn versions are also there if these are 
     12308 
     12309 
     12310for ac_func in strcasecmp _stricmp 
    1216212311do 
    1216312312as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 
     
    1226812417done 
    1226912418 
    12270 { echo "$as_me:$LINENO: checking for working snprintf" >&5 
    12271 echo $ECHO_N "checking for working snprintf... $ECHO_C" >&6; } 
    12272 if test "${ac_cv_have_working_snprintf+set}" = set; then 
     12419 
     12420{ echo "$as_me:$LINENO: checking for strdup" >&5 
     12421echo $ECHO_N "checking for strdup... $ECHO_C" >&6; } 
     12422if test "${ac_cv_func_strdup+set}" = set; then 
    1227312423  echo $ECHO_N "(cached) $ECHO_C" >&6 
    12274 else 
    12275   if test "$cross_compiling" = yes; then 
    12276   ac_cv_have_working_snprintf=cross 
    1227712424else 
    1227812425  cat >conftest.$ac_ext <<_ACEOF 
     
    1228212429cat >>conftest.$ac_ext <<_ACEOF 
    1228312430/* end confdefs.h.  */ 
    12284 #include <stdio.h> 
    12285  
    12286 int main(void) 
    12287 
    12288     char bufs[5] = { 'x', 'x', 'x', '\0', '\0' }; 
    12289     char bufd[5] = { 'x', 'x', 'x', '\0', '\0' }; 
    12290     int i; 
    12291     i = snprintf (bufs, 2, "%s", "111"); 
    12292     if (strcmp (bufs, "1")) exit (1); 
    12293     if (i != 3) exit (1); 
    12294     i = snprintf (bufd, 2, "%d", 111); 
    12295     if (strcmp (bufd, "1")) exit (1); 
    12296     if (i != 3) exit (1); 
    12297     exit(0); 
    12298 
    12299 _ACEOF 
    12300 rm -f conftest$ac_exeext 
    12301 if { (ac_try="$ac_link" 
    12302 case "(($ac_try" in 
    12303   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    12304   *) ac_try_echo=$ac_try;; 
    12305 esac 
    12306 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    12307   (eval "$ac_link") 2>&5 
    12308   ac_status=$? 
    12309   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    12310   (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    12311   { (case "(($ac_try" in 
    12312   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    12313   *) ac_try_echo=$ac_try;; 
    12314 esac 
    12315 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    12316   (eval "$ac_try") 2>&5 
    12317   ac_status=$? 
    12318   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    12319   (exit $ac_status); }; }; then 
    12320   ac_cv_have_working_snprintf=yes 
    12321 else 
    12322   echo "$as_me: program exited with status $ac_status" >&5 
    12323 echo "$as_me: failed program was:" >&5 
    12324 sed 's/^/| /' conftest.$ac_ext >&5 
    12325  
    12326 ( exit $ac_status ) 
    12327 ac_cv_have_working_snprintf=no 
    12328 fi 
    12329 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
    12330 fi 
    12331  
    12332  
    12333 fi 
    12334  
    12335 { echo "$as_me:$LINENO: result: $ac_cv_have_working_snprintf" >&5 
    12336 echo "${ECHO_T}$ac_cv_have_working_snprintf" >&6; } 
    12337 { echo "$as_me:$LINENO: checking for working vsnprintf" >&5 
    12338 echo $ECHO_N "checking for working vsnprintf... $ECHO_C" >&6; } 
    12339 if test "${ac_cv_have_working_vsnprintf+set}" = set; then 
    12340   echo $ECHO_N "(cached) $ECHO_C" >&6 
    12341 else 
    12342   if test "$cross_compiling" = yes; then 
    12343   ac_cv_have_working_vsnprintf=cross 
    12344 else 
    12345   cat >conftest.$ac_ext <<_ACEOF 
    12346 /* confdefs.h.  */ 
    12347 _ACEOF 
    12348 cat confdefs.h >>conftest.$ac_ext 
    12349 cat >>conftest.$ac_ext <<_ACEOF 
    12350 /* end confdefs.h.  */ 
    12351 #include <stdio.h> 
    12352 #include <stdarg.h> 
    12353  
    12354 int my_vsnprintf (char *buf, const char *tmpl, ...) 
    12355 
    12356     int i; 
    12357     va_list args; 
    12358     va_start (args, tmpl); 
    12359     i = vsnprintf (buf, 2, tmpl, args); 
    12360     va_end (args); 
    12361     return i; 
    12362 
    12363  
    12364 int main(void) 
    12365 
    12366     char bufs[5] = { 'x', 'x', 'x', '\0', '\0' }; 
    12367     char bufd[5] = { 'x', 'x', 'x', '\0', '\0' }; 
    12368     int i; 
    12369     i = my_vsnprintf (bufs, "%s", "111"); 
    12370     if (strcmp (bufs, "1")) exit (1); 
    12371     if (i != 3) exit (1); 
    12372     i = my_vsnprintf (bufd, "%d", 111); 
    12373     if (strcmp (bufd, "1")) exit (1); 
    12374     if (i != 3) exit (1); 
    12375     exit(0); 
    12376 
    12377 _ACEOF 
    12378 rm -f conftest$ac_exeext 
    12379 if { (ac_try="$ac_link" 
    12380 case "(($ac_try" in 
    12381   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    12382   *) ac_try_echo=$ac_try;; 
    12383 esac 
    12384 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    12385   (eval "$ac_link") 2>&5 
    12386   ac_status=$? 
    12387   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    12388   (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    12389   { (case "(($ac_try" in 
    12390   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    12391   *) ac_try_echo=$ac_try;; 
    12392 esac 
    12393 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    12394   (eval "$ac_try") 2>&5 
    12395   ac_status=$? 
    12396   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    12397   (exit $ac_status); }; }; then 
    12398   ac_cv_have_working_vsnprintf=yes 
    12399 else 
    12400   echo "$as_me: program exited with status $ac_status" >&5 
    12401 echo "$as_me: failed program was:" >&5 
    12402 sed 's/^/| /' conftest.$ac_ext >&5 
    12403  
    12404 ( exit $ac_status ) 
    12405 ac_cv_have_working_vsnprintf=no 
    12406 fi 
    12407 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
    12408 fi 
    12409  
    12410  
    12411 fi 
    12412  
    12413 { echo "$as_me:$LINENO: result: $ac_cv_have_working_vsnprintf" >&5 
    12414 echo "${ECHO_T}$ac_cv_have_working_vsnprintf" >&6; } 
    12415 if test x$ac_cv_have_working_snprintf$ac_cv_have_working_vsnprintf != "xyesyes"; then 
    12416   case " $LIBOBJS " in 
    12417   *" snprintf.$ac_objext "* ) ;; 
    12418   *) LIBOBJS="$LIBOBJS snprintf.$ac_objext" 
    12419  ;; 
    12420 esac 
    12421  
    12422   { echo "$as_me:$LINENO: WARNING: Replacing missing/broken (v)snprintf() with version from http://www.ijs.si/software/snprintf/." >&5 
    12423 echo "$as_me: WARNING: Replacing missing/broken (v)snprintf() with version from http://www.ijs.si/software/snprintf/." >&2;} 
    12424  
    12425 cat >>confdefs.h <<\_ACEOF 
    12426 #define PREFER_PORTABLE_SNPRINTF 1 
    12427 _ACEOF 
    12428  
    12429 fi 
    12430 if test "x$ac_cv_have_working_snprintf" = xyes; then 
    12431 cat >>confdefs.h <<\_ACEOF 
    12432 #define HAS_SNPRINTF 1 
    12433 _ACEOF 
    12434  
    12435 fi 
    12436 if test "x$ac_cv_have_working_vsnprintf" = xyes; then 
    12437 cat >>confdefs.h <<\_ACEOF 
    12438 #define HAS_VSNPRINTF 1 
    12439 _ACEOF 
    12440  
    12441 fi 
    12442  
    12443 { echo "$as_me:$LINENO: checking for socketpair" >&5 
    12444 echo $ECHO_N "checking for socketpair... $ECHO_C" >&6; } 
    12445 if test "${ac_cv_func_socketpair+set}" = set; then 
    12446   echo $ECHO_N "(cached) $ECHO_C" >&6 
    12447 else 
    12448   cat >conftest.$ac_ext <<_ACEOF 
    12449 /* confdefs.h.  */ 
    12450 _ACEOF 
    12451 cat confdefs.h >>conftest.$ac_ext 
    12452 cat >>conftest.$ac_ext <<_ACEOF 
    12453 /* end confdefs.h.  */ 
    12454 /* Define socketpair to an innocuous variant, in case <limits.h> declares socketpair. 
     12431/* Define strdup to an innocuous variant, in case <limits.h> declares strdup. 
    1245512432   For example, HP-UX 11i <limits.h> declares gettimeofday.  */ 
    12456 #define socketpair innocuous_socketpair 
     12433#define strdup innocuous_strdup 
    1245712434 
    1245812435/* System header to define __stub macros and hopefully few prototypes, 
    12459     which can conflict with char socketpair (); below. 
     12436    which can conflict with char strdup (); below. 
    1246012437    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    1246112438    <limits.h> exists even on freestanding compilers.  */ 
     
    1246712444#endif 
    1246812445 
    12469 #undef socketpair 
     12446#undef strdup 
    1247012447 
    1247112448/* Override any GCC internal prototype to avoid an error. 
     
    1247512452extern "C" 
    1247612453#endif 
    12477 char socketpair (); 
     12454char strdup (); 
    1247812455/* The GNU C library defines this for functions which it implements 
    1247912456    to always fail with ENOSYS.  Some functions are actually named 
    1248012457    something starting with __ and the normal name is an alias.  */ 
    12481 #if defined __stub_socketpair || defined __stub___socketpair 
     12458#if defined __stub_strdup || defined __stub___strdup 
    1248212459choke me 
    1248312460#endif 
     
    1248612463main () 
    1248712464{ 
    12488 return socketpair (); 
     12465return strdup (); 
    1248912466  ; 
    1249012467  return 0; 
     
    1252512502  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    1252612503  (exit $ac_status); }; }; then 
    12527   ac_cv_func_socketpair=yes 
     12504  ac_cv_func_strdup=yes 
    1252812505else 
    1252912506